Detecting and deleting interior rings

2014-07-11 02:39 AM - michael maur

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.4.0 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 19243

Description

Hello,

I'm actually using QGis 2.4 on Ubuntu 14.04. On another engine I'm still using the Version 1.8 and 2.0 of QGis. In the actual release I have

the problem to use the function to delete rings in vector layers like Esri SHAPE. In the older versions it really works well. Is there any

problem ?

Another question is, if it is possible to "clean" a polygon from many "small" interior rings in one step ?

Best regadrs

michael maur

Zentrale Stelle GDI-RP

56073 Koblenz

History

#1 - 2014-07-11 03:30 AM - Giovanni Manghi

- Resolution deleted (invalid)

- Status changed from Open to Feedback

Can you describe better the issue and the difference with older QGIS versions?

#2 - 2014-07-31 07:54 AM - Joao Verde

I confirm this same issue.

When having a polygon with an inner ring (or hole), the standard procedure of starting an editing session, selecting "Edit -> Delete Ring" and then clicking

on a vertex of the inner ring DOES NOT work on 2.4 but it does work quite well and quickly on 2.2 and 1.7.4 which are the versions I have installed.

#3 - 2014-07-31 08:42 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

the behavior changed on purpose in qgis 2.4, now it is supposed to click inside the ring.
